package com.jw.app.business;

import java.util.List;
import java.util.Map;

import org.springframework.stereotype.Service;

import com.gaowj.business.exception.BusinessException;
import com.gaowj.business.util.Page;

@Service
public interface MappingBusiness {

	void insert_table(Map<String, Object> entity) throws BusinessException;

	void update_table(Map<String, Object> entity) throws BusinessException;

	void delete_table(Map<String, Object> query) throws BusinessException;

	Page<Map<String, Object>> list_table(int pageNo, int pageSize,
			Map<String, Object> query) throws BusinessException;

	List<Map<String, Object>> list_table(Map<String, Object> query)
			throws BusinessException;

	int listCount_table(Map<String, Object> query) throws BusinessException;


}
